petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASNESSetObjectiveLocal

set a local residual evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscsnes.h"
    PetscErrorCode DMDASNESSetObjectiveLocal(DM dm,DMDASNESObjective func,void *ctx)

Logically Collective Many br

### Input Arguments

| dm | - DM to associate callback with Many br
| func | - local objective evaluation Many br
| ctx | - optional context for local residual evaluation Many br

### Calling sequence for func

| info | - DMDALocalInfo defining the subdomain to evaluate the residual on Many br
| x | - dimensional pointer to state at which to evaluate residual Many br
| ob | - eventual objective value Many br
| ctx | - optional context passed above Many br

Many br

### See Also

DMSNESSetFunction(), DMDASNESSetJacobianLocal(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:beginner
Location:src/snes/utils/dmdasnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html